{
  "tab_name": "Multiple Agent Screenshot Testing",
  "nodes": [
    {
      "id": "node-1757304418527",
      "type": "Borealis_Agent",
      "position": {
        "x": 42.666666666666686,
        "y": 41.333333333333314
      },
      "data": {
        "label": "Borealis Agent",
        "content": "Select and manage an Agent with dynamic roles",
        "agent_id": "lab-operator-01-agent-66ba3ad3"
      },
      "dragHandle": ".borealis-node-header",
      "positionAbsolute": {
        "x": 42.666666666666686,
        "y": 41.333333333333314
      },
      "width": 260,
      "height": 146,
      "selected": false,
      "dragging": false
    },
    {
      "id": "node-1757304420676",
      "type": "Borealis_Agent",
      "position": {
        "x": 42.666666666666686,
        "y": 229.14443969726557
      },
      "data": {
        "label": "Borealis Agent",
        "content": "Select and manage an Agent with dynamic roles",
        "agent_id": "lab-laptop-01-agent-9b527d0a"
      },
      "dragHandle": ".borealis-node-header",
      "positionAbsolute": {
        "x": 42.666666666666686,
        "y": 229.14443969726557
      },
      "width": 260,
      "height": 146,
      "selected": false,
      "dragging": false
    },
    {
      "id": "node-1757304426360",
      "type": "Agent_Role_Screenshot",
      "position": {
        "x": 348,
        "y": 41.333333333333336
      },
      "data": {
        "label": "Agent Role: Screenshot",
        "content": "Capture screenshot region via agent",
        "interval": "1000",
        "x": 9,
        "y": 17,
        "w": 583,
        "h": 451,
        "visible": "true",
        "alias": "",
        "value": "[encoded data, 45840 characters]"
      },
      "dragHandle": ".borealis-node-header",
      "width": 160,
      "height": 115,
      "selected": false,
      "positionAbsolute": {
        "x": 348,
        "y": 41.333333333333336
      },
      "dragging": false
    },
    {
      "id": "node-1757304427610",
      "type": "Agent_Role_Screenshot",
      "position": {
        "x": 348,
        "y": 229.14444986979166
      },
      "data": {
        "label": "Agent Role: Screenshot",
        "content": "Capture screenshot region via agent",
        "interval": "1000",
        "x": 801,
        "y": 311,
        "w": 626,
        "h": 478,
        "visible": "true",
        "alias": "",
        "value": "[encoded data, 716804 characters]"
      },
      "dragHandle": ".borealis-node-header",
      "width": 166,
      "height": 115,
      "selected": false,
      "positionAbsolute": {
        "x": 348,
        "y": 229.14444986979166
      },
      "dragging": false
    },
    {
      "id": "node-1757304430781",
      "type": "Image_Viewer",
      "position": {
        "x": 548.6666666666666,
        "y": 41.333333333333336
      },
      "data": {
        "label": "Desktop Screen",
        "content": "Visual preview of base64 image with zoom overlay."
      },
      "dragHandle": ".borealis-node-header",
      "width": 260,
      "height": 249,
      "selected": false,
      "positionAbsolute": {
        "x": 548.6666666666666,
        "y": 41.333333333333336
      },
      "dragging": false
    },
    {
      "id": "node-1757304432344",
      "type": "Image_Viewer",
      "position": {
        "x": 548.6666666666666,
        "y": 309.6666768391927
      },
      "data": {
        "label": "Image Viewer",
        "content": "Visual preview of base64 image with zoom overlay."
      },
      "dragHandle": ".borealis-node-header",
      "width": 260,
      "height": 247,
      "selected": true,
      "positionAbsolute": {
        "x": 548.6666666666666,
        "y": 309.6666768391927
      },
      "dragging": false
    }
  ],
  "edges": [
    {
      "source": "node-1757304426360",
      "sourceHandle": null,
      "target": "node-1757304430781",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1757304426360-node-1757304430781"
    },
    {
      "source": "node-1757304427610",
      "sourceHandle": null,
      "target": "node-1757304432344",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1757304427610-node-1757304432344"
    },
    {
      "source": "node-1757304420676",
      "sourceHandle": "provisioner",
      "target": "node-1757304427610",
      "targetHandle": null,
      "type": "smoothstep",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1757304420676provisioner-node-1757304427610"
    },
    {
      "source": "node-1757304418527",
      "sourceHandle": "provisioner",
      "target": "node-1757304426360",
      "targetHandle": null,
      "type": "smoothstep",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1757304418527provisioner-node-1757304426360"
    }
  ]
}